/***** Generic *****/
body {
    max-width: 1920px;
    margin: 0 auto;
}

.elementor-widget-text-editor ul {
    padding-left: 24px;
}

.elementor-widget-text-editor ul li {
    margin-bottom: 16px;
}


/***** Header *****/
.contact-details .wpsl-contact-details {
    font-size: 0;
    line-height: 0;
}

.contact-details .wpsl-locations-details,
.contact-details .wpsl-location-address,
.contact-details .wpsl-contact-details {
    margin: 0;
}

.contact-details .wpsl-contact-details a {
    font-size: 16px;
    line-height: 1.5em;
}

.header-phone .wpsl-contact-details span>a::before {
    content: "";
    background: url(/wp-content/uploads/2026/06/phone-icon.png) no-repeat left center;
    width: 24px !important;
    height: 24px !important;
    display: inline-block;
    background-size: 24px;
    vertical-align: middle;
    margin-right: 9px;
}

.main-menu .elementskit-submenu-indicator {
    display: none !important;
}

.main-menu .elementskit-menu-container {
    padding-bottom: 0 !important;
}

.mega-menu-row {
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.main-menu .current-menu-parent>a,
.main-menu .current-menu-ancestor>a {
    border-bottom: 4px solid #6C8BA7 !important;
}

@media(width: 1024px) {
    .main-menu li.menu-item:hover .elementskit-dropdown-open {
        opacity: 1 !important;
        visibility: visible !important;
        margin-top: 10px !important;
    }

    .main-menu li.menu-item:hover .elementskit-megamenu-panel {
        opacity: 1 !important;
        visibility: visible !important;
        top: 40px !important;
    }

    .main-menu li.menu-item:hover .elementskit-megamenu-panel.elementskit-dropdown-open {
        margin-top: 0 !important;
    }

    .main-menu .elementskit-dropdown,
    .main-menu .elementskit-megamenu-panel {
        pointer-events: auto !important;
    }
}

@media(max-width: 768px) {
    .header-phone .wpsl-contact-details a {
        font-size: 0px !important;
    }

    .mega-menu-row {
        box-shadow: none !important;
    }

    .mob-menu .current-menu-item>a,
    .mob-menu .current-menu-parent>a {
        color: #234965 !important;
    }

    .mob-menu .ekit-overlay.ekit-bg-black {
        display: none !important;
    }

    .mob-menu .ekit-wid-con .ekit_sidebar-widget-container {
        top: 0px;
    }

    .mob-menu .ekit-wid-con .ekit-sidebar-group.ekit_isActive .ekit_sidebar-widget-container {
        -webkit-transition: all 0s;
        transition: all 0s;
        top: 0px;
    }

    .header-mob-menu .ekit-vertical-navbar-nav .elementskit-dropdown {
        padding: 0 0 15px 0 !important;
    }

    .header-mob-menu .menu-item:has(.elementskit-dropdown-open) a .ekit-submenu-indicator-icon {
        rotate: 180deg;
    }

}

/**Mega menu**/
@media(min-width: 769px) and (max-width: 1024px) {
    .elementskit-megamenu-panel {
        transform: translateX(12px) !important;
    }
}

@media(min-width: 1025px) {
    .elementskit-megamenu-panel {
        transform: translateX(16px) !important;
    }
}


/**** Footer ****/
.footer-menu .elementor-nav-menu li.is-active>a {
    color: #9DB1C9 !important;
}